import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/garage_sale_rent_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/garage_sale_rent_entity.g.dart';

@JsonSerializable()
class GarageSaleRentEntity {
	int? count;
	int? page;
	int? limit;
	@JSONField(name: "count_page")
	int? countPage;
	List<GarageSaleRentList>? list;

	GarageSaleRentEntity();

	factory GarageSaleRentEntity.fromJson(Map<String, dynamic> json) => $GarageSaleRentEntityFromJson(json);

	Map<String, dynamic> toJson() => $GarageSaleRentEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class GarageSaleRentList {
	int? id;
	String? title;
	int? price;
	List<String>? resources;
	@JSONField(name: "created_at")
	String? createdAt;
	bool? liked;
	@JSONField(name: "likes_count")
	int? likesCount;
	GarageSaleRentListAccount? account;

	GarageSaleRentList();

	factory GarageSaleRentList.fromJson(Map<String, dynamic> json) => $GarageSaleRentListFromJson(json);

	Map<String, dynamic> toJson() => $GarageSaleRentListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class GarageSaleRentListAccount {
	int? id;
	String? name;
	String? avatar;

	GarageSaleRentListAccount();

	factory GarageSaleRentListAccount.fromJson(Map<String, dynamic> json) => $GarageSaleRentListAccountFromJson(json);

	Map<String, dynamic> toJson() => $GarageSaleRentListAccountToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}